<script setup>
import { useCounterStore } from "@app1/stores/counter.js"; 
const counter = useCounterStore();
</script>

<template> 
  <div class="flex">
    <h1 class="text-3xl font-bold text-red-300 underline">
      Hello world! 
    </h1>
    <h1 class="ml-5">Count {{ counter.count }}</h1>
    <button @click="counter.increment()" class="text-white bg-red-400 h-[20px] ml-3 hover:bg-red-200">Press me</button>
  </div>
</template>

<style>
@media (min-width: 1024px) {
  .about {
    min-height: 100vh;
    display: flex;
    align-items: center;
  }
}
</style>
